
#
# Estructura de tabla para la tabla `nuke_monitor`
#

DROP TABLE IF EXISTS nuke_monitor;
CREATE TABLE nuke_monitor (
  id int(15) NOT NULL auto_increment,
  username varchar(50) NOT NULL default '',
  date int(15) NOT NULL default '0',
  hits int(15) NOT NULL default '1',
  user int(2) NOT NULL default '0',
  ip varchar(48) NOT NULL default '',
  pais varchar(5) NOT NULL default '',
  url varchar(150) NOT NULL default '',
  referer varchar(120) NOT NULL default '',
  browser varchar(100) NOT NULL default '',
  PRIMARY KEY  (id),
  UNIQUE KEY id (id)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Estructura de tabla para la tabla `nuke_monitor_date`
#

DROP TABLE IF EXISTS nuke_monitor_date;
CREATE TABLE nuke_monitor_date (
  year smallint(6) NOT NULL default '0',
  month tinyint(4) NOT NULL default '0',
  date tinyint(4) NOT NULL default '0',
  hits bigint(20) NOT NULL default '0'
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Estructura de tabla para la tabla `nuke_monitor_dayhour`
#

DROP TABLE IF EXISTS nuke_monitor_dayhour;
CREATE TABLE nuke_monitor_dayhour (
  year smallint(6) NOT NULL default '0',
  month tinyint(4) NOT NULL default '0',
  date tinyint(4) NOT NULL default '0',
  hour tinyint(4) NOT NULL default '0',
  hits int(11) NOT NULL default '0'
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Estructura de tabla para la tabla `nuke_monitor_hour`
#

DROP TABLE IF EXISTS nuke_monitor_hour;
CREATE TABLE nuke_monitor_hour (
  hour tinyint(4) NOT NULL default '0',
  hits int(11) NOT NULL default '0'
) TYPE=MyISAM;
# --------------------------------------------------------

INSERT INTO nuke_monitor_hour VALUES (0, 1);
INSERT INTO nuke_monitor_hour VALUES (1, 1);
INSERT INTO nuke_monitor_hour VALUES (2, 1);
INSERT INTO nuke_monitor_hour VALUES (3, 1);
INSERT INTO nuke_monitor_hour VALUES (4, 1);
INSERT INTO nuke_monitor_hour VALUES (5, 1);
INSERT INTO nuke_monitor_hour VALUES (6, 1);
INSERT INTO nuke_monitor_hour VALUES (7, 1);
INSERT INTO nuke_monitor_hour VALUES (8, 1);
INSERT INTO nuke_monitor_hour VALUES (9, 1);
INSERT INTO nuke_monitor_hour VALUES (10, 1);
INSERT INTO nuke_monitor_hour VALUES (11, 1);
INSERT INTO nuke_monitor_hour VALUES (12, 1);
INSERT INTO nuke_monitor_hour VALUES (13, 1);
INSERT INTO nuke_monitor_hour VALUES (14, 1);
INSERT INTO nuke_monitor_hour VALUES (15, 2);
INSERT INTO nuke_monitor_hour VALUES (16, 2);
INSERT INTO nuke_monitor_hour VALUES (17, 2);
INSERT INTO nuke_monitor_hour VALUES (18, 2);
INSERT INTO nuke_monitor_hour VALUES (19, 2);
INSERT INTO nuke_monitor_hour VALUES (20, 2);
INSERT INTO nuke_monitor_hour VALUES (21, 1);
INSERT INTO nuke_monitor_hour VALUES (22, 1);
INSERT INTO nuke_monitor_hour VALUES (23, 1);






#
# Estructura de tabla para la tabla `nuke_monitor_modules`
#

DROP TABLE IF EXISTS nuke_monitor_modules;
CREATE TABLE nuke_monitor_modules (
  id int(15) NOT NULL auto_increment,
  hits int(25) NOT NULL default '0',
  name varchar(50) NOT NULL default '',
  PRIMARY KEY  (id),
  UNIQUE KEY id (id)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Estructura de tabla para la tabla `nuke_monitor_month`
#

DROP TABLE IF EXISTS nuke_monitor_month;
CREATE TABLE nuke_monitor_month (
  year smallint(6) NOT NULL default '0',
  month tinyint(4) NOT NULL default '0',
  hits bigint(20) NOT NULL default '0'
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Estructura de tabla para la tabla `nuke_monitor_pais`
#

DROP TABLE IF EXISTS nuke_monitor_pais;
CREATE TABLE nuke_monitor_pais (
  id int(15) NOT NULL auto_increment,
  hits int(25) NOT NULL default '0',
  dateini int(15) NOT NULL default '0',
  pais varchar(5) NOT NULL default '',
  PRIMARY KEY  (id),
  UNIQUE KEY id (id)
) TYPE=MyISAM;
# --------------------------------------------------------


#
# Estructura de tabla para la tabla `nuke_monitor_referer2`
#

DROP TABLE IF EXISTS nuke_monitor_referer2;
CREATE TABLE nuke_monitor_referer2 (
  host varchar(100) NOT NULL default '',
  hits int(25) NOT NULL default '0',
  KEY host (host)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Estructura de tabla para la tabla `nuke_monitor_users`
#

DROP TABLE IF EXISTS nuke_monitor_users;
CREATE TABLE nuke_monitor_users (
  id int(15) NOT NULL auto_increment,
  name varchar(50) NOT NULL default '',
  hits int(15) NOT NULL default '1',
  date int(15) NOT NULL default '0',
  PRIMARY KEY  (id),
  UNIQUE KEY id (id)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Estructura de tabla para la tabla `nuke_monitor_year`
#

DROP TABLE IF EXISTS nuke_monitor_year;
CREATE TABLE nuke_monitor_year (
  year smallint(6) NOT NULL default '0',
  hits bigint(20) NOT NULL default '0'
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Estructura de tabla para la tabla `nuke_monitorcfg`
#

DROP TABLE IF EXISTS nuke_monitorcfg;
CREATE TABLE nuke_monitorcfg (
  id int(15) NOT NULL auto_increment,
  scroll int(2) NOT NULL default '0',
  sound int(2) NOT NULL default '0',
  maxReg int(10) NOT NULL default '100',
  listuser int(10) NOT NULL default '30',
  verURL int(2) NOT NULL default '0',
  sizename tinyint(2) NOT NULL default '5',
  bhits tinyint(2) NOT NULL default '0',
  mhits tinyint(2) NOT NULL default '0',
  monline tinyint(2) NOT NULL default '0',
  monline2 tinyint(2) NOT NULL default '0',
  mverlist tinyint(2) NOT NULL default '1',
  PRIMARY KEY  (id),
  UNIQUE KEY id (id)
) TYPE=MyISAM;

INSERT INTO nuke_monitorcfg VALUES (1, 0, 0, 0, 75, 1, 10, 0, 1, 1, 1, 1);
